package hoge.foo;

import java.util.Timer;
import java.util.TimerTask;

import android.app.Service;
import android.content.Intent;
import android.os.Handler;
import android.os.IBinder;
import android.os.RemoteException;
import android.util.Log;
import android.widget.Toast;

public class TestService extends Service {

	// A\Toast
	private Toast _mToast = null;

	// ^C}
	private final Timer _mTimer = new Timer();
	
	// ^C}ɓo^^XN
	private TimerTask _mTimerTask = new TimerTask() {
		@Override
		public void run() {
			
			// TimerTaskʕ\ύXꍇ́A
			// HandlerăCXbhpost
			_mHandler.post(new Runnable() {
				@Override
				public void run() {

					// Toast̕\
					_mToast.show();

				}
			});
		}
	};
	
	// nh
	private final Handler _mHandler = new Handler();
	
	// T[rXoC_[
	private final ITestService.Stub mITestServiceBinder = new ITestService.Stub() {

		@Override
		public void stopService() throws RemoteException {

			// ^C}^XN̒~
			_mTimerTask.cancel();
		}
	};

	@Override
	public IBinder onBind(Intent arg0) {
		return mITestServiceBinder;
	}

	/*
	 * (non-Javadoc)
	 * @see android.app.Service#onCreate()
	 */
	@Override
	public void onCreate() {

		// Toast쐬
		_mToast = Toast.makeText(this, "Service start", Toast.LENGTH_LONG);
		
		// ^C}ɓo^ 1bォA10bɂPATimerTasks
		_mTimer.schedule(_mTimerTask, 1000, 10 * 1000);
	}
}
